> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payin/submit-a-payin/colombia/daviplata.md).

# Daviplata

## Payin by Daviplata

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/trade/pay`

This endpoint allows you to submit a payin by Bancolombia in Colombia.

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

| Name                                                       | Type   | Description                                                                                            |
| ---------------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------ |
| app\_id<mark style="color:red;">\*</mark>                  | string | <p>Created app's ID at dashboard.<br>Max. 32 chars.</p>                                                |
| method<mark style="color:red;">\*</mark>                   | string | Fixed value: `Daviplata`.                                                                              |
| order\_currency<mark style="color:red;">\*</mark>          | string | Fixed value: `COP`.                                                                                    |
| order\_amount<mark style="color:red;">\*</mark>            | string | <p>Payment amount.<br>Range: <code>1,500.00</code> - <code>10,000,000.00</code> .<br>Only integer.</p> |
| subject<mark style="color:red;">\*</mark>                  | string | <p>Payment reason or item title.<br>Max. 128 chars.</p>                                                |
| content<mark style="color:red;">\*</mark>                  | string | <p>Payment reason detail or item detail.<br>Max. 255 chars.</p>                                        |
| timestamp<mark style="color:red;">\*</mark>                | string | <p>Format: <code>yyyy-MM-dd HH:mm:ss</code>.<br>Max. 19 chars.</p>                                     |
| notify\_url<mark style="color:red;">\*</mark>              | string | Where Pagsmile will send notification to.                                                              |
| buyer\_id<mark style="color:red;">\*</mark>                | string | Merchant user's ID.                                                                                    |
| customer.identify.type<mark style="color:red;">\*</mark>   | string | <p>User's identification type</p><p>- NIT or CC -</p>                                                  |
| customer.identify.number<mark style="color:red;">\*</mark> | string | <p>User's identification number<br>-NIT: 10 digits,</p><p>CC: 6\~10 digits -</p>                       |
| customer.email<mark style="color:red;">\*</mark>           | string | User's email                                                                                           |

{% tabs %}
{% tab title="200 submit successfully" %}

```
{
    "code":"10000",
    "msg":"Success",
    "prepay_id":"cC8***63B9",
    "trade_no":"2026***238",
    "out_trade_no":"out_trade_no_12***75",
    "web_url":"",
    "pay_url":"https://daviplata.wompi.co/es/sad***1jyI",
    "trade_status":"PROCESSING"
}

```

{% endtab %}

{% tab title="400 duplicate out\_trade\_no" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "duplicate-out_trade_no",
    "sub_msg": "out_trade_no is duplicate"
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://gateway.pagsmile.com/trade/pay' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--data-raw '{
    "app_id": "162************38",
    "out_trade_no": "out_trade_no_123***875",
    "method": "Daviplata",
    "order_currency": "COP",
    "order_amount": "1500",
    "subject": "trade pay test",
    "content": "trade pay test content",
    "timestamp": "2021-08-04 18:50:42",
    "notify_url": "http://demo.gemini-tiger.cn/callback/success",
    "buyer_id": "buyer_0101_0001",
    "customer": {
        "identify": {
            "type": "CC",
            "number": "11***93"
        },
        "email": "test@mail.com"
    }
}'
```

{% hint style="info" %}
Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}
